Loading...
Searching...
No Matches
AVOutputFormat Struct Reference
libavformat » Muxing

`#include <libavformat/avformat.h>`

## Data Fields

const char * | name
const char * | long_name
| Descriptive name for the format, meant to be more human-readable than name.
const char * | mime_type
const char * | extensions
| comma-separated filename extensions
enum AVCodecID | audio_codec
| default audio codec
enum AVCodecID | video_codec
| default video codec
enum AVCodecID | subtitle_codec
| default subtitle codec
int | flags
| can use flags: AVFMT_NOFILE, AVFMT_NEEDNUMBER, AVFMT_GLOBALHEADER, AVFMT_NOTIMESTAMPS, AVFMT_VARIABLE_FPS, AVFMT_NODIMENSIONS, AVFMT_NOSTREAMS, AVFMT_TS_NONSTRICT, AVFMT_TS_NEGATIVE
const struct AVCodecTag *const * | codec_tag
| List of supported codec_id-codec_tag pairs, ordered by "better choice first".
const AVClass * | priv_class
| AVClass for the private context.

## Detailed Description

Examples
  mux.c, and remux.c.

Definition at line 505 of file avformat.h.

## Field Documentation

## name

const char* AVOutputFormat::name

Definition at line 506 of file avformat.h.

## long_name

const char* AVOutputFormat::long_name

Descriptive name for the format, meant to be more human-readable than name.

You should use the NULL_IF_CONFIG_SMALL() macro to define it.

Definition at line 512 of file avformat.h.

## mime_type

const char* AVOutputFormat::mime_type

Definition at line 513 of file avformat.h.

## extensions

const char* AVOutputFormat::extensions

comma-separated filename extensions

Definition at line 514 of file avformat.h.

## audio_codec

enum AVCodecID AVOutputFormat::audio_codec

default audio codec

Examples
  mux.c.

Definition at line 516 of file avformat.h.

Referenced by main().

## video_codec

enum AVCodecID AVOutputFormat::video_codec

default video codec

Examples
  mux.c.

Definition at line 517 of file avformat.h.

Referenced by main().

## subtitle_codec

enum AVCodecID AVOutputFormat::subtitle_codec

default subtitle codec

Definition at line 518 of file avformat.h.

## flags

int AVOutputFormat::flags

can use flags: AVFMT_NOFILE, AVFMT_NEEDNUMBER, AVFMT_GLOBALHEADER, AVFMT_NOTIMESTAMPS, AVFMT_VARIABLE_FPS, AVFMT_NODIMENSIONS, AVFMT_NOSTREAMS, AVFMT_TS_NONSTRICT, AVFMT_TS_NEGATIVE

Examples
  mux.c, and remux.c.

Definition at line 525 of file avformat.h.

Referenced by add_stream(), and main().

## codec_tag

const struct AVCodecTag* const* AVOutputFormat::codec_tag

List of supported codec_id-codec_tag pairs, ordered by "better choice first".

The arrays are all terminated by AV_CODEC_ID_NONE.

Definition at line 531 of file avformat.h.

## priv_class

const AVClass* AVOutputFormat::priv_class

AVClass for the private context.

Definition at line 534 of file avformat.h.

The documentation for this struct was generated from the following file:

- libavformat/avformat.h